import { Role } from './role.model';
import { DateAudit } from 'src/modules/common/data/model/audit';

export interface User extends DateAudit {
  username?: string;
  nickname?: string;
  email?: string;
  block?: boolean;
  isAdmin?: boolean;
  sendEmail?: boolean;
  activation?: string;
  lastResetTime?: Date;
  resetCount?: number;
  otpKey?: string;
  otp?: string;
  requireReset?: boolean;
  phone?: string;
  descriptions?: string;
}
