import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';

import { SERVICES } from './service';
import { AuthStoreModule } from './auth-store.module';

@NgModule({
  declarations: [],
  imports: [CommonModule],
  exports: []
})
export class AuthModule {
  public static forRoot(): ModuleWithProviders<AuthRootModule> {
    return {
      ngModule: AuthRootModule,
      providers: [SERVICES]
    };
  }
}

@NgModule({
  imports: [AuthStoreModule],
  exports: []
})
export class AuthRootModule { }
